---
- name: Dependencies installed
  pkgng:
    name: py38-pip,py38-sqlite3,postgresql13-client,rust
    state: latest

- name: Pgadmin package installed
  shell: "pip install https://ftp.postgresql.org/pub/pgadmin/pgadmin4/v6.1/pip/pgadmin4-6.1-py3-none-any.whl"

- name: Pgadmin rc file installed
  ansible.builtin.copy:
    src: pgadmin.rc
    dest: /usr/local/etc/rc.d/pgadmin
    mode: a+x
  notify: Pgadmin restarted

- name: Pgadmin enabled
  shell: sysrc pgadmin_enable="YES"

- name: Pgadmin started
  service: name=pgadmin state=started
